<?php

/*
* @Package: mod_iqrotator
* @Author: CreativeRoom - Maciej Łotysz
* @Author e-mail: kontakt@creativeroom.pl
* @Author www: http://www.creativeroom.pl/
* Copyright (C) 2013 CreativeRoom, Inc. All rights reserved.
*/

defined('_JEXEC') or die('Restricted access');


$PATH_TO_FILES = JURI::base()."modules/mod_iqrotator/files/";

$document = JFactory::getDocument();
$document->addScript($PATH_TO_FILES.'js/script.js');
$document->addStyleSheet($PATH_TO_FILES.'css/style.css');


$itemArray = array();
$numItems = $params['itemsCount'];
for($i = 0 ; $i < $numItems ; $i++)
{
    $itemArray[] = array(
        'title'         => $params['title'.$i],
        'desc'         => $params['desc'.$i],
        'url'         => $params['url'.$i],
        'image'         => $params['image'.$i],
    );
}

?>

<div id="mod_iqrotator">
    <div id="carousel-rotator" class="carousel slide carousel-rotator carousel-fade" data-ride="carousel">


        <!-- Wrapper for slides -->
        <div class="carousel-inner" role="listbox">
            <?php foreach($itemArray as $k => $value): ?>
                <div class="item <?php if($k==0) { echo "active"; } ?>">
                    <div class="col-xs-12 noPaddingLeft noPaddingRight">
                        <img src="<?php echo $value['image']; ?>" alt="slide <?php echo $k; ?>">
                        <div class="carousel-caption">
                            <?php if(!empty($value['title'])): ?>
                                <h1><?php echo $value['title']; ?></h1>
                            <?php endif; ?>
                            <?php if(!empty($value['desc'])): ?>
                                <p><?php echo $value['desc']; ?></p>
                            <?php endif; ?>
                            <?php if(!empty($value['url'])): ?>
                                <a href="<?php echo $value['url']; ?>">Sprawdź szczegóły</a>
                            <?php endif; ?>
                        </div>                        
                    </div>
                </div>
            <?php endforeach; ?>
        </div>
      
        <?php /*
        <a class="left carousel-control" href="#carousel-rotator" role="button" data-slide="prev">
            <span class="glyphicon glyphicon-chevron-left" aria-hidden="true"></span>
            <span class="sr-only">Previous</span>
        </a>
        <a class="right carousel-control" href="#carousel-rotator" role="button" data-slide="next">
            <span class="glyphicon glyphicon-chevron-right" aria-hidden="true"></span>
            <span class="sr-only">Next</span>
        </a>  
        */ ?>
    </div>
</div>