/*
# @Package: template.
* @Author: Maciej Łotysz
* @Author e-mail: maciejlotysz@gmail.com
* If you want to publish this package on your site you should pleace authors website url witch you can find above.
* You can modify or do what ever you want with this file
*/


$(window).load(function() {
	mapaStartKontakt();
});

var mapa;
var domena = 'http://itv1.home.pl/splywy.pl/';

function mapaStartKontakt()
{
	var mapCenter=new google.maps.LatLng(53.6903946,21.4334647);
	var mapProp = {
	  center:mapCenter,
	  zoom:16,
	  mapTypeId:google.maps.MapTypeId.ROADMAP
	  };

	var map=new google.maps.Map(document.getElementById("mapa"),mapProp);
	
	var kontaktMarker=new google.maps.LatLng(53.6893946,21.4334647);
	var marker=new google.maps.Marker({
	  position:kontaktMarker,
	  icon:domena+'templates/creativeroom/images/map-marker.png',
	  });

	marker.setMap(map);

	var infowindow = new google.maps.InfoWindow({
		content:'<h3>AS-TOURS</h3>'
				+'<h4>Biuro Turystyki Kajakowej</h4>'
				+'<span style="font-size: 12px;">Krutyń 4</span><br/>'
				+'<span style="font-size: 12px;">Piecki 11-710, woj. warmińsko-mazurskie, Polska </span><br />'
				+'<span style="font-size: 12px;">tel. 89 742 1430</span><br />'
				+'<span style="font-size: 12px;">e-mail: <a style="color: #000000;" href="mailto:kajakowe@splywy.pl">kajakowe@splywy.pl</a></span>'
	  });

	infowindow.open(map,marker);
	
	google.maps.event.addListener(marker, 'click', function() {
	  infowindow.open(map,marker);
	 });	
}
