<?php
/*
* @Package: template.
* @Author: CreativeRoom - Maciej Łotysz
* @Author e-mail: kontakt@creativeroom.pl
* @Author www: http://www.creativeroom.pl/
* Copyright (C) 2013 CreativeRoom, Inc. All rights reserved.
*/
defined('_JEXEC') or die;

?>

<!DOCTYPE html>
<html lang="<?php echo $this->language; ?>" >
    <head>
        <?php JFactory::getDocument()->setGenerator(''); ?>

        <jdoc:include type="head" />
        <meta name="baseuri" content="<?php echo JUri::base(); ?>" />
        <meta name="viewport" content="width=device-width, initial-scale=1">
		<meta http-equiv="X-UA-Compatible" content="IE=Edge,chrome=1">
		
        <link rel="stylesheet" href="<?php echo $this->baseurl; ?>/templates/<?php echo $this->template; ?>/css/style.css" type="text/css" />  		

		<link href='http://fonts.googleapis.com/css?family=Fenix' rel='stylesheet' type='text/css'>
		<!-- Enable this css if you want to override styles-->
		<!--<link href="css/override.css" rel="stylesheet" media="screen">-->
		<!--[if lt IE 9]>
			<script src="http://html5shim.googlecode.com/svn/trunk/html5.js"></script>
		<![endif]-->		
       
	   
        <script src="<?php echo $this->baseurl; ?>/templates/<?php echo $this->template; ?>/js/modernizr-1.0.min.js" type="text/javascript"></script>

      
    </head>
<body>

	<div class="wrap">
		<div class="main">
			<div style="text-align: center;"></div>
			<h1>404</h1>
			<h2>Przepraszamy, szukana strona nie istnieje</h2>
			<p>Jeżeli adres strony został wpisany w oknie przeglądarki prosimy sprawdzić jego poprawność. <br>Jeżeli do tej strony prowadzi link z naszego serwisu prosimy o zgłoszenie nam tego faktu.</p>
				<div style="text-align: center;"></div>
						<?php /*
						<div class="icons">
							<p>Follow us on:</p>
							<ul>
								<li><a href="#"><img src="images/img1.png"></a></li>
								<li><a href="#"><img src="images/img2.png"></a></li>
								<li><a href="#"><img src="images/img3.png"></a></li>
								<li><a href="#"><img src="images/img4.png"></a></li>
								<li><a href="#"><img src="images/img5.png"></a></li>
							</ul>	
						</div> */ ?>
					</div>
					<div style="text-align: center;"></div>
					<div class="footer">
						<a href="http://creativeroom.pl/"><img src="http://creativeroom.pl/creativeroom_logo_jasne.png" alt="" /></a>
					</div>
				</div>
</body>
</html>

