<?php
/*
* @Package: template.
* @Author: CreativeRoom - Maciej Łotysz
* @Author e-mail: kontakt@creativeroom.pl
* @Author www: http://www.creativeroom.pl/
* Copyright (C) 2015 CreativeRoom, Inc. All rights reserved.
*/
defined('_JEXEC') or die;

?>

<!DOCTYPE html>
<html lang="<?php echo $this->language; ?>" >
	<head>
		<?php JFactory::getDocument()->setGenerator(''); ?>
		<script src="<?php echo $this->baseurl; ?>/templates/<?php echo $this->template; ?>/js/vendor/jquery-1.11.3.min.js" type="text/javascript"></script>
                
		<jdoc:include type="head" />
                <meta http-equiv="X-UA-Compatible" content="IE=edge">
                <meta name="viewport" content="width=device-width, initial-scale=1">
    
		<link href="<?php echo $this->baseurl; ?>/templates/<?php echo $this->template; ?>/favicon.ico" rel="shortcut icon" type="image/vnd.microsoft.icon" />        
		<link rel="stylesheet" href="<?php echo $this->baseurl; ?>/templates/system/css/system.css" type="text/css" />
		<link rel="stylesheet" href="<?php echo $this->baseurl; ?>/templates/system/css/general.css" type="text/css" />
		<link rel="stylesheet" href="<?php echo $this->baseurl; ?>/templates/<?php echo $this->template; ?>/css/bootstrap.min.css" type="text/css" />
		<link rel="stylesheet" href="<?php echo $this->baseurl; ?>/templates/<?php echo $this->template; ?>/css/font-awesome.min.css" type="text/css" />
		<link rel="stylesheet" href="<?php echo $this->baseurl; ?>/templates/<?php echo $this->template; ?>/css/tm_docs.css" type="text/css" />
		<link rel="stylesheet" href="<?php echo $this->baseurl; ?>/templates/<?php echo $this->template; ?>/css/style.css" type="text/css" />
		<link rel="stylesheet" href="<?php echo $this->baseurl; ?>/templates/<?php echo $this->template; ?>/js/vendor/fancybox/jquery.fancybox.css?v=2.1.5" type="text/css" />
		<link href='https://fonts.googleapis.com/css?family=Open+Sans:400,300italic,300,400italic,600,700,600italic,700italic,800,800italic&subset=latin,latin-ext' rel='stylesheet' type='text/css'>
                <link href='https://fonts.googleapis.com/css?family=Open+Sans+Condensed:300,300italic,700&subset=latin,latin-ext' rel='stylesheet' type='text/css'>
		
		<script src="<?php echo $this->baseurl; ?>/templates/<?php echo $this->template; ?>/js/vendor/bootstrap.min.js" type="text/javascript"></script>
		<script src="<?php echo $this->baseurl; ?>/templates/<?php echo $this->template; ?>/js/vendor/fancybox/jquery.fancybox.pack.js?v=2.1.5" type="text/javascript"></script>
		<script src="<?php echo $this->baseurl; ?>/templates/<?php echo $this->template; ?>/js/vendor/jquery.form-validator.min.js" type="text/javascript"></script>
		<script src="<?php echo $this->baseurl; ?>/templates/<?php echo $this->template; ?>/js/vendor/jquery.form-validator.langPL.js" type="text/javascript"></script>		  
		<script src="<?php echo $this->baseurl; ?>/templates/<?php echo $this->template; ?>/js/script.js" type="text/javascript"></script>
		<?php /* <script src="<?php echo $this->baseurl; ?>/templates/<?php echo $this->template; ?>/js/kontakt.js" type="text/javascript"></script> */ ?>
			
		<script src="http://maps.googleapis.com/maps/api/js?key=AIzaSyD3PP-4Kdsi8_Z-1m-Ixi7dAH-xAgud0PI&sensor=false"></script>	
			
                <!-- HTML5 shim and Respond.js for IE8 support of HTML5 elements and media queries -->
                <!-- WARNING: Respond.js doesn't work if you view the page via file:// -->
                <!--[if lt IE 9]>
                  <script src="https://oss.maxcdn.com/html5shiv/3.7.2/html5shiv.min.js"></script>
                  <script src="https://oss.maxcdn.com/respond/1.4.2/respond.min.js"></script>
                <![endif]-->
                
	</head>
	<body>
            <!--[if lt IE 8]>
            <style> 
          html body div#topwrapper div#top.container_16 ul#topmenu li { float: right; }  
          html body div#topwrapper div#top.container_16 ul#topmenu li a { display: block; }  
            </style>
            <div style='border: 1px solid #F7941D; background: #FEEFDA; text-align: center; clear: both; height: 75px; position: relative; z-index: 1000'>
              <div style='position: absolute; right: 3px; top: 3px; font-family: courier new; font-weight: bold;'><a href='#' onclick='javascript:this.parentNode.parentNode.style.display="none"; return false;'><img src='<?php echo $this->baseurl; ?>/templates/<?php echo $this->template; ?>/noie/ie6nomore-cornerx.jpg' style='border: none;' alt='Close this notice'/></a></div>
              <div style='width: 640px; margin: 0 auto; text-align: left; padding: 0; overflow: hidden; color: black;'>
                <div style='width: 75px; float: left;'><img src='<?php echo $this->baseurl; ?>/templates/<?php echo $this->template; ?>/noie/ie6nomore-warning.jpg' alt='Warning!'/></div>
                <div style='width: 275px; float: left; font-family: Arial, sans-serif;'>
                  <div style='font-size: 14px; font-weight: bold; margin-top: 12px;'>Używasz przestarzałej przeglądarki</div>
                  <div style='font-size: 12px; margin-top: 6px; line-height: 12px;'>Dla lepszego działania strony należy uaktualnić przeglądarkę do nowocześniejszej.</div>
                </div>
                <div style='width: 75px; float: left;'><a href='http://www.firefox.com' target='_blank'><img src='<?php echo $this->baseurl; ?>/templates/<?php echo $this->template; ?>/noie/ie6nomore-firefox.jpg' style='border: none;' alt='Get Firefox 3.5'/></a></div>
                <div style='width: 75px; float: left;'><a href='http://www.browserforthebetter.com/download.html' target='_blank'><img src='<?php echo $this->baseurl; ?>/templates/<?php echo $this->template; ?>/noie/ie6nomore-ie8.jpg' style='border: none;' alt='Get Internet Explorer 8'/></a></div>
                <div style='width: 73px; float: left;'><a href='http://www.apple.com/safari/download/' target='_blank'><img src='<?php echo $this->baseurl; ?>/templates/<?php echo $this->template; ?>/noie/ie6nomore-safari.jpg' style='border: none;' alt='Get Safari 4'/></a></div>
                <div style='float: left;'><a href='http://www.google.com/chrome' target='_blank'><img src='<?php echo $this->baseurl; ?>/templates/<?php echo $this->template; ?>/noie/ie6nomore-chrome.jpg' style='border: none;' alt='Get Google Chrome'/></a></div>
              </div>
            </div>
            <![endif]-->  
            
            <div class="bgAll"></div>
            
            <div class="all">
            
                <div class="top-00">
                    <div class="container-fluid">
                        <div class="top-container row">  
                            <div class="noPaddingLeft noPaddingRight ">
                                <a href="<?php echo $this->baseurl; ?>" class="top-logo">
                                    <img class="hidden-sm hidden-xs" src="<?php echo $this->baseurl; ?>/images/assets/logo.png" alt="Nieruchomości Mrągowo - logo" />
                                    <img class="hidden-lg hidden-md" src="<?php echo $this->baseurl; ?>/images/assets/logo2.png" alt="Nieruchomości Mrągowo - logo" />
                                </a>
                                <jdoc:include type="modules" name="mainmenu" style="xhtml"/>                                
                            </div>
                        </div>
                    </div>
                </div>                 
                
                              
                <div class="rotator">
                    <div class="row">  
                        <div class="col-lg-12 col-md-12 col-sm-12 col-xs-12 rotator-top">
                            <jdoc:include type="modules" name="rotator" style="xhtml"/>
                        </div>
                    </div>
                </div> 
                
                <div class="content">
                    <div class="container-fluid">
                        <div class="content-container row">  
                            <div class="col-lg-12 col-md-12 col-sm-12 col-xs-12 noPaddingLeft noPaddingRight">
                                <jdoc:include type="modules" name="content-before" style="xhtml"/>
                                <div class="col-xs-12">
                                    <jdoc:include type="component" />
                                </div>
                                <jdoc:include type="modules" name="content-after" style="xhtml"/>
                            </div>
                        </div>
                    </div>
                </div>  
                
                <div class="footer">
                    <div class="container-fluid">
                        <div class="footer-container row">  
                            <div class="col-lg-12 col-md-12 col-sm-12 col-xs-12 text-center">
                                <a href="#" class="back-to-top">
                                    <i class="fa fa-angle-up" aria-hidden="true"></i>
                                    <span>Wróć do góry</span>
                                    <i class="fa fa-angle-up" aria-hidden="true"></i>                                    
                                </a>
                            </div>                            
                            <div class="clearfix"></div>
                            <div class="col-xs-12 separator"></div>
                            <div class="clearfix"></div>
                            <div class="col-lg-3 col-md-3 col-sm-6 col-xs-12">
                                <h5>Copyright © <?php echo date("Y"); ?> <a href="http://nieruchomoscimragowo.pl">nieruchomoscimragowo.pl</a></h5>
                            </div>
                            <div class="col-lg-7 col-md-7 hidden-sm hidden-xs"></div>
                            <div class="col-lg-2 col-md-2 col-sm-6 col-xs-12">
                                <a rel="author" title="strony internetowe olsztyn, tworzenie stron olsztyn, pozycjonowanie stron olsztyn" class="pull-right creativeroom www.creativeroom.pl" href="http://www.creativeroom.pl" style="margin-bottom: 5px; width: 116px; height: 18px;" target="_blank">
                                    <img title="strony internetowe olsztyn, tworzenie stron olsztyn, pozycjonowanie stron olsztyn" alt="strony internetowe mrągowo, tworzenie stron mrągowo, pozycjonowanie stron mrągowo" src="http://creativeroom.pl/creativeroom_logo_jasne.png" style="width: 116px; height: 18px;">
                                </a>                      
                            </div>
                        </div>
                    </div>
                </div>  
                
            </div>
	
            <script src="<?php echo $this->baseurl; ?>/templates/<?php echo $this->template; ?>/js/scriptBody.js" type="text/javascript"></script>
	</body>
</html>

